Name:           qsstv
Version:        5.3c
Release:        6%{?dist}
Summary:        Qt-based slow-scan TV and fax

Group:          Applications/Communications
License:        GPLv2+
URL:            http://users.telenet.be/on4qz/qsstv/
Source0:        http://users.telenet.be/on4qz/qsstv/download/qsstv-%{version}.tar.gz
Source1:        qsstv.desktop
Source2:        qsstv.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt3-devel
BuildRequires:  doxygen
BuildRequires:  desktop-file-utils
#Requires:       

%description
Qsstv is a program for receiving slow-scan television and fax. These are
modes used by hamradio operators. Qsstv uses a soundcard to send and
receive images.

%prep
%setup -q -n %{name}-%{version}

#for debuginfo
chmod 0644 qsstv/icons/*.xpm

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/* 
%{_datadir}/qsstv
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop


%changelog
* Fri Nov 27 2009 Lucian Langa <cooly@gnome.eu.org> - 5.3c-6
- improve desktop file (#530838)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.3c-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.3c-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Aug 24 2008 Lucian Langa <cooly@gnome.eu.org> - 5.3c-3
- fix build requires

* Sun Aug 17 2008 Lucian Langa <cooly@gnome.eu.org> - 5.3c-2
- add desktop file

* Sun Aug 10 2008 Lucian Langa <cooly@gnome.eu.org> - 5.3c-1
- Misc cleanups

* Mon Dec 10 2007 Sindre Pedersen Bjørdal - 0.5c-1
- Initial build

